param honap_szam;

set Honapok := 1..honap_szam;

param igeny{Honapok};

param kezdeti_fo;
param sima_ber;
param tul_ber;
param fejvadasz_dij;

var sima{Honapok} integer >= 0;
var tul{Honapok} integer >= 0;
var felvett{Honapok} integer >= 0;
var elbocsatott{Honapok} integer >= 0;

minimize Kiadas: sum{i in Honapok} (sima[i] * sima_ber + 
									tul[i] * tul_ber +
									felvett[i] * fejvadasz_dij + 
									elbocsatott[i] * sima_ber);
									
subject to Munka_igeny{i in Honapok}: sima[i] + 1.25 * tul[i] >= igeny[i];

subject to No_tuldolgozas{i in Honapok}: sima[i] >= tul[i];

# {i in Honapok: i > 1}
# sima[1]

subject to Elso_honap: kezdeti_fo + felvett[1] - elbocsatott[1] = sima[1] + tul[1];

subject to Emberi_megmaradas{i in Honapok: i > 1}: sima[i - 1] + tul[i - 1] + felvett[i] - elbocsatott[i] = sima[i] + tul[i];









